market/urls.py
from django.contrib import admin
from django.urls import path, include
from django.shortcuts import redirect
from drf_spectacular.views import SpectacularAPIView, SpectacularSwaggerView, SpectacularRedocView

urlpatterns = [
    path('', lambda request: redirect('products:list')),
    path('admin/', admin.site.urls),
    path('products/', include('products.web.urls')),
    path('users/', include('users.web.urls')),
    path('api/', include('products.rest_api.urls')),
    path('api/users/', include('users.rest_api.urls')),

    path('api/schema/', SpectacularAPIView.as_view(), name='schema'),
    path('api/schema/swagger-ui/', SpectacularSwaggerView.as_view(url_name='schema'), name='swagger-ui'),
    path('api/schema/redoc/', SpectacularRedocView.as_view(url_name='schema'), name='redoc'),

]

products/web/urls.py
from django.urls import path
from .views import (
    ProductListView,
    CreateProductView,
    ProductUpdateView,
    ProductDeleteView,
    CategoryUpdateView,
    CategoryProductListView,
    CategoryProductDeleteView,
    CreateCategoryProductView
)

app_name = 'products'

urlpatterns = [
    path('', ProductListView.as_view(), name='list'),
    path('add/', CreateProductView.as_view(), name='add'),
    path('<int:pk>/', ProductUpdateView.as_view(), name='update'),
    path('delete/<int:pk>/', ProductDeleteView.as_view(), name='delete'),
    path('category/<int:pk>/', CategoryUpdateView.as_view(), name='category_update'),
    path('category/list/', CategoryProductListView.as_view(), name='category_list'),
    path('category/add/', CreateCategoryProductView.as_view(), name='category_add'),
    path('delete/category/<int:pk>/', CategoryProductDeleteView.as_view(), name='delete_category'),

]

users/web/urls.py
from django.urls import path
from users.web.views import ProfileView

app_name = 'users'

urlpatterns = [
    path('profile/', ProfileView.as_view(), name='profile')
]

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <title>{%block title%}{%endblock%}</title>
     <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
</head>
<body>
<header>
    <h3><a href="/">Маркет</a></h3>
    <h3><a href="{% url 'products:add' %}">Добавить продукт</a></h3>
    <h3><a href="{% url 'users:profile' %}">Профиль</a></h3>
    <h3><a href="{% url 'products:category_list' %}">Категории</a></h3>
    <h3><a href="{% url 'products:category_add' %}">Добваить категорию</a></h3>
</header>
{% block content %}

{% endblock %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<script>
    const websocketURL = 'ws://' + window.location.host + '/ws/notifications/';
const ws = new WebSocket(websocketURL);

ws.onmessage = function(event) {
    const notification = JSON.parse(event.data);
    alert(notification.message);
}

ws.onmessage = function(event) {
    const notification = JSON.parse(event.data);

    alert(notification.message);
    let notifications = JSON.parse(localStorage.getItem('notifications')) || [];
    notifications.push(notification.message);
    localStorage.setItem('notifications', JSON.stringify(notifications));
}

</script>
</body>
</html>